Subject: Linux Hardware Compatibility HOWTO
From: [email-masked] (Ed Carp)
Newsgroups: comp.os.linux.announce,comp.os.linux.admin

Archive-name: linux/howto/hardware
Last-modified: 01 Aug 93

                    LINUX HARDWARE COMPATIBLITY HOWTO

VERSION: 0.6                                               DATE: 01 Aug 93

Note:  This list was originally posted by who-knows?  I don't remember, and
I haven't seen it in a while, so I'll take the responsibility of maintaining
this list.  Please send your hardware (in)compatibility lists to [email-masked].
PLEASE put the word "HARDWARE" in your subject line IN CAPS!
--------------------------------- cut here -----------------------------------
     Welcome to the Linux Hardware Compatibility HOWTO. It is my hope that
this will be of help to people and that it will do away with a lot of the
"Will XXX work with my System?" questions.  I also hope that this will help
people who want to buy a system to run Linux or are in the process of
upgrading their system and want to make sure that the hardware they buy is
compatible with Linux (especially for item's such as SCSI controller's and
CD-ROM's, and video cards for X).
	Please be aware that the list NO LONGER contains X hardware
specifics.  These will be posted as a seperate listing.(along with 
clocks, settings, etc.)
	People who have emailed me ([email-masked]) about specific pieces
of hardware that they've gotten to work have their name and email address
printed alongside.  This is to help others who are having difficulty get
help directly from the guilty party. ;)

     If you are wondering about a specific piece of Hardware and you don't
find it in this list all I can say is I don't know at this time but as soon
as I find out it will be in the next list.  If you find out that it work's
from some other source, i.e. a friend or trying it out, PLEASE let me know.
Also even though a piece of equipment is on this system doesn't mean that I
know how to get it to work with Linux, it is on this list because someone
has told me that it works on THEIR system. So if it is on the list and
you can't make it work, it sounds like a good time to, in order, do:

	1) read ALL the faq's
	2) read comp.os.linux.help, and scan the subjects for your XXX
	3) email the person listed here who says it works (if any)
	3) post AFTER READING comp.os.linux.help and c.o.l.announce.

    Thanks to everyone that has helped and sent info this list,it  is a lot 
better because of their help!

This HOWTO is archived in a number of places, including sunsite.unc.edu in
/pub/Linux/docs/HOWTO. It is posted periodically to comp.os.linux.announce.

NOTEBOOKS:
--------------------
 Altima 486DX/33	Linux/with X11
 Compaq LTE386s/20 (Notebook) (using XFree 1.2)
 Compaq Contura 3/25 (25 MHZ 386 SL notebook with VGA type grayscale 
			screen and 120 MB hd.
 Leading Edge 386/25 SLC ([email-masked])
 NEC UltraLite Versa ([email-masked])
 Packard Bell 386SX20 laptop 
 Compudyne 4DX/33 486 notebook with greyscale CCFT lcd screen---
  	Phoenix bios 1.01, trackball (ps2 mouse compatible)
	486 processor & 130 mb  toshiba 3.5" drive.
  	Linux 99.5 with X 
	(Runs 386bsd 0.1---you need to bang on the keyboard while it boots,
		 otherwise the keyboard comes up locked)
 Twinhead(? rumored to be a Alitima/CompuDyne clone)

BRAND NAME COMPUTERS
--------------------
 ACER 1200
 Bitwise
 Compaq Deskpro 386/20
 Comtrade
 Comtrade Local Bus
 Comtrade EISA/VLB ([email-masked])
 Dell 486P (486DX2/50) (William Perry, [email-masked])
 Diamond Flower Industries DFI 386-20
 DTK
 EDGE Technology, 486/33DX
 Hewlett Packard HP QS20
 Highscreen Tower 386
 Hi Tech USA 486/33 ISA
 Gateway 2000 33Mhz 386DX
 Gateway 486 DX2 66V
 Gateway 486/33V ([email-masked])
 Gecko 486-50
 Insight 486DX/25
 Insight 486DX-50 ISA and EISA
 IPC 38633
 Laser 386SX/2E
 Microlink 486dx/50 localbus
 Osborne Computers (Australia) 486/33 EISA
 Paradise
 Packard Bell Legend 520 SX
 Toshiba 1850 laptop
 Trigem 386v
 Tyan Pro-EISA, Opti EISA Chip-set
 PACOMP 486/33
 Tandy 4000
 Viglen Gene
 Vobis Highscreen 486DX/33
 Xpand 386/40
 Zenon 486/33 Local Bus
 Zeos 486DX2/50 VL-Bus

CPU
---
 Intel 80386
 Intel 80386SX
 Intel 80386SLC
 Intel 80386DX
 Intel 80486SX
 Intel 80486DX
 AMD AM386SX 
 AMD AM386DX
 AMD AM386DXL 
 Cyrix 486DLC

FPU
---
 Cyrix FasMath 387/40
 IIT 387 (all speeds)
 Intel 387 (all speeds)
 ULSI MathCo 387/33
	(rumored to have some problems with some versions due to chip bug)

MOTHERBOARD
-----------
 386 AWP
 AMI EISA Enterprise II
 AMI Series 50 Super Voyager 486/33 DX
 AVM 486DX-50
 C386 PEAK-DM
 CONTAQ-386 Upgradable System Board
 DTK
 DTK PEM-2530
 ECS EM486/50 (EISA)
 ECS UL-486
 ETEQ G486EB
 G486PLB
 G486SLC The Symphony Mainboard - Companion (BIOS AMI 1991)
 GS3486
 HOT-307H 386-33/40 (OPTI chipset)
 HM386sx
 ISA486S
 M407 PC Chips motherboard
 Magitronic/VLSI V386SX-25Mhz
 Micronics 80386DX ASIC (Brian Hook, [email-masked])
 Micronics 80486 ASIC EISA
 Micronics EISA-II motherboard w/8 EISA slots and 64KB cache RAM standard
 Micronics Gemini 80486DX, Rev. E (Brian Hook, [email-masked])
 MST-386
 MST 486A (Armas Inc. ROC)
 Mylex EISA mae486
 Oktec Trout 386
 OCTECK 386-33 64K cm
 PLB-486/50
 ST 486 VESA Localbus (OPTI Chipset) ([email-masked])
 SUPER 486-33C
 Symphony 80486 PC/AT chipset
 T/B, UNICHIP chipset, 386DX25 upgradeable to 486DX50
 UMC 386
 UMC 80486
 Viglen
 ZIDA 386/33DX-128C

BIOS
----
 AMI
 AMI 9-25-88
 AMI 07/12/90
 AMI (Dated 08/30/90)
 AMI (Dated 05/05/91)
 AMI (Dated 7/7/91)
 AMI 486 ISA  (dated 12/12/91)
 AMI 486/50
 Award
 Microid 1.43 ([email-masked])
 Mylex 6.15.92
 Phoenix
 Phoenix Technologies V D.02.05 QS/20
 Pheonix 80486 Ver 1.01.22-2
 Phoenix 80486/EISA ROM BIOS PLUS Version 1.01.22-2
 Phoenix C3.04e
 Quadtel

CONTROLLERS (Multifunction)
---------------------------
 Buslogic 742a
 Future Domain TMC950 based SCSI/IDE controller + 4 floppies
 HP Multifunction
 IDE-PLUS-V3 multi i/o board
 ISFP multiple IO-card
 IODE-3290U (IDE/FD/2S/1P/1G)
 Kouwell KW-556D (2S/1P/game/IDE/floppy)
 Laser Multi-IO/IDE Card
 MCT-AIO Serial/Parallel/Game (16550AFN)
 MIO-16 Multi IO Card
 PTI-227B Super I/O Card (serial, parallel, IDE)
 SUPER IDE I/O CARD, model PT-604
 Super IDE/FDC MULTI I/O card Modem 827 Version 11
 Super I/O MP57

CONTROLLERS (I/O)
-----------------
 Accent ASYNC-4 4 port serial card
 BOCA ATI0
 Gw2760 EX SUPER IO CARD
 GW232c mini serial card
 PC-COMM 4-port card with 16550 uarts
 ShineCom Multi-User catd LCS-8880 (AST 4-port clone)

CONTROLLERS (Floppy)
--------------------

 Adaptec 1542B (built-in) (but see INCOMPATIBILITIES)

CONTROLLERS (Hard Drive)
------------------------
 Note: Linux should work with all IDE, MFM, and RLL controllers, pretty much
       regardless of the version of Linux.

 RLL
 ---
  Mitsubishi 65MB (Brian Hook, [email-masked])
  Seagate ST-11R
  Seagate ST- 277R (Brian Hook, [email-masked])
  WD 1006V-SR2

 MFM
 ---
  DTC150x XT (8-bit) MFM HD
  Seagate ST11M
  Seagate ST22M MFM controller w/floppy
  Western Digital WD1003

 IDE
 ---
  DC600 Caching IDE controller (4Mb RAM) (BIOS Dated 01/24/92 (c) Tekram Tech.)
  DC 680T

 ESDI
 ----
  6280-15TX
  DTC-6180
  DTC-6180-15T
  Western Digital  1007A-WA2

CONTROLLERS (SCSI)
------------------
 Adaptec AHA1542B (but see INCOMPATIBILITIES)
 Adaptec AHA-1742A, BIOS version 1.34 (in enhanced mode)
 Adaptec AHA1740
 Adaptec AHA-1740 SCSI-2 controller (BIOS v1.34) in Enhanced Mode
 Buslogic 445s
 Future Domain SCSI Model 1680
 Future Domain SCSI card, TMC-850 (works with kernel 0.99p4+)
 Future Domain SCSI card, TMC-950 chip
 MYLEX DCE376 EISA SCSI controller (in WD emulation mode only)
 Seagate ST-02
 UltraStor SCSI
 7000FASST SCSI
 WD7000fasst SCSI Card, firmware rev 5.0 (only works with .99+)

SOUND BOARDS
------------
 ATI Stero F/X
 ProAudio Spectrum-16 (but see INCOMPATIBILITIES)
 SoundBlaster
 SoundBlaster PRO

HARD DRIVES (RLL)
-----------------
 CDC Wren II
 Micropolis 1325 (108MB)
 Toshiba ((105MB) used as 68MB MFM)

HARD DRIVES (MFM)
-----------------
 CDC Wren II
 Computer Memories Inc. 6426-S  (20 MB, Full-height)
 Maxtor (68MB)
 Seagate 251-1
 Seagate ST225
 Seagate ST296N
 Tandon 262 (20 MB)

HARD DRIVES (IDE)
-----------------
 All should work and the following have been verified.
 ** PLEASE DON'T EMAIL ME WITH IDE HD'S UNLESS THEY DON'T WORK! **

 Alps DR312C (202MB)
 Conner CP3204F
 Conner (210MB)
 Fujitsu (520MB)
 Fujitsu 2652S
 Fujitsu M2624-T (490meg)
 Maxtor 7120A (120MB)
 Maxtor 7213A (213MB)
 Maxtor LXT340AT (340MB)
 Maxtor XT 1140 (140MB)
 Maxtor (340MB)
 Miniscribe 8051A
 Miniscribe 8380
 Seagate (44MB)
 Seagate ST125A
 Seagate ST1102A (85MB)
 Seagate ST1144A (124Mb)
 Seagate ST1239A (211MB)
 Seagate ST3120A
 Seagate ST3144A (120/130MB IDE) 
 Seagate ST351A/X (44MB)
 Seagate ST157AT
 Seagate ST3283A (245Mb)
 Quantum ELS 170AT (170MB)
 Quantum LPS120AT (120 MB)
 Quantum Prodrive LPS 240 AT
 Quantum Prodrive 80AT
 Quantum (240MB)
 Western Digital AC280 (80MB)
 Western Digital AP-4200 (200 MB)
 Western Digital (120MB)
 Western Digital AC2200 (210MB)
 Western Digital WDAC3400 (340MB)

HARD DRIVES (ESDI)
------------------
 Fujitsu M2249E (320MB)
 Imprimis (300MB)
 Imprimis (360MB)
 NEC ESDI (350MB)

HARD DRIVES (SCSI)
------------------
 All should work and the following have been verified.
 CDC WREN VI (700MB)
 Fujitsu M2614
 Fujitsu M2624 (520Mb SCSI)
 Maxtor 7120SCS
 Maxtor LXT-200S
 Maxtor LXT-340-SY (324MB)
 Maxtor XT8380S
 Maxtor XT8760S
 Maxtor PO-12S (1.2GB)
 Micropolis 1542 (330MB)
 Micropolis 1664 (340MB)
 Seagate ST277N (60MB)
 Seagate ST296N
 Seagate ST41200 (1000MB)
 Seagate ST41650 (1400MB, but only 1000MB accessible)
 Quantum ProDrive P80S
 Quantum ProDrive 105s
 Quantum ProDrive 80s
  
TAPE DRIVES (SCSI)
------------------
 Archive Viper 150MB ([email-masked])
 Caliper CP-150 (QIC) (aka Commodore A4070) ([email-masked])
 Exabyte EXB-4200 (2GB DAT) ([email-masked])
 Sankyo CP150SE tapestreamer
 Sankyo CP525
 TANDBERG 3600 streamer, using 250MB DC6250 cardriges
 Wangtek 5525ES
 Wangtek 5150ES
 Wangtek PC36 adapter/5099EN 60MB drive

CD-ROM DRIVES
--------------------
 All SCSI should work and the following have been verified.
 ** PLEASE DON'T EMAIL ME WITH SCSI CD-ROM'S UNLESS THEY DON'T WORK! **

 Matsushita/Kotobuki/Panasonic CR-5xx series
 *Mitsumi/Radio Shack
 NEC CDR-74
 *Sony CDU-541
 *Sony CDU-535 ([email-masked])
 Soundblaster CD-ROM
 Texel DM-3024
 Toshiba 3401 ([email-masked])
 *Internal Sony CDU-31a CD ROM drive and proprietary Sony interface card
 DEC RRD42 (Michael Griffith, [email-masked])

 * = Some require drivers not in the stock kernel - see the Linux Software
 Map - sunsite:/pub/Linux/docs/LSM for those drivers.

NETWORK CARDS
-------------
 wd8013         \
 wd8003          >--These will work by default with the kernel
 SMC Elite 16   /

 Novell/Eagle NE2000
 ne1000
 3com503 EtherlinkII
 3c503 EtherlinkII/16
 Cnet UTP 10baseT (NE 2000 emulation)
 PE-8013 (WD-8013 Compatible)
 SIIG Inc E-Lan/200 (NE 2000 comp.)
 SMC Plus Elite
 Compex ENET16-COMBO (Michael Griffith, [email-masked])

PRINTERS
--------
 Apple Personal LaserWriter NTR
 Brother HL-4PS
 Brother HJ100
 BJ200(Cannon?)
 Canon BJ 10e
 Canon LPB4+
 Citizen Swift 24
 Dec Writer III
 Diablo 630
 Epson Action Laser II
 Epson LQ 400
 Epson LQ-570
 EPSON LX800
 Epson RX-80
 HP Deskjet 500
 HP Laserjet II ([email-masked])
 HP Laserjet III w/Postscript
 HP Laserjet III w/Pacific Page PE/XL PS Cartidge
 HP Laserjet IIIp
 HP Think Jet
 Infoscribe 1000
 Kodak Diconix 150 ink jet
 Kodak Diconix 150 plus
 KX-P1124
 NEC Pinwriter P6
 NEC P2200XE
 NEC P5300 dot matrix
 NEC SilentWriter 95
 Olivetti DM290
 Panasonic KXP-P1091
 Panasonic KX-P2124
 Panasonic 1624
 Seikosha SL-80AI
 Star LC10 colour
 STAR LC 24/10
 Tandy TRS-80 Printer

MODEMS
------
 ATI 9600etc
 CASE Quattro 2400
 Dallas Fax 9696
 Digicom Scout+ (internal 14.4kbps v32bis/v42bis/MNP2-5)
 Discovery 2400C
 Everex (2400) MNP5
 FasTalk 2400 II
 Galaxy UFO
 Gateway 2000 TelePath Data/Fax Modem (only with 0.99.10+) (Daniel Quinlan, [email-masked])
 GVC 9600 v.42bis
 Logicode Technology- QuickTel 9600 V.32/V.42bis
 Maestro Data Optimizer
 Maestro 2400XR
 MegaHertz C424FM (internal Compaq-compatable modem)
 Multitech v.32 external
 Packard Bell internal 1200
 P.C. Logic 144I, V32bis & V42bis
 Practical Peripherals PM14400FXSA V.32BIS
 Quikkomm (2400)
 SEL Panther 4 (2400bps)
 Smartlink 9614AV - 14.400 highspeed modem from Archteck
 Supra Faxmodem V.32bis
 Supramodem 2400
 Swan 2400 baud
 Telebit T2500 (19.2k)
 Turbo modem (v.32, v.42, v.42bis)
 US Robotics Courier (2400)
 US Robotics - Courier HST Dual Standard
 US Robotics v.32bis
 US Robotics Sportster (newer model) v.32bis (Ed Carp, [email-masked])
 Zoom 2400 Internal
 Zoom 2400 External w/SendFax
 Zoom FaxModem 14.4k
 Zoom 14.4k raw 
 ZyXEL 1496-E
 ZyXEL U-1496E (v.32bis/v.42bis/FOX external modem)

MICE
----
 A-Tech serial (switch set to Mouse Systems emulation)
 A4TECH (Taiwan) Serial emulates MS-Mouse w/2 Buttons
 Agiler (Microsoft/Mouse System)
 ATI Busmouse
 Artec M-22 (3-button)
 Artec serial optical (mouse systems/microsoft)
 Genius GM-F303
 Genius GM-6 (microsoft compat)
 Genius GM-6000 2/3 buttons serial mouse
 Laser Microsoft/MouseSystem compatible
 Logictech Dexxa mouse (acts like a Microsoft mouse)
 Logitech FirstMouse serial version
 Logitech MouseMan
 Logitech Pilot Serial (3 buttons)
 Logitech series 9
 Logitech Series 14, 2 Button
 Logitech Trackman 3Button (flakey at best)
 Keen three button serial
 Kensington Expert Mouse (trackball)
 Inland Mouse Plus (emulates MicroSoft or Mouse Systems)
 MicroSoft Serial
 Microsoft Ballpoint mouse
 Mouse Systems Serial
 M-O-U-S-E mouse (taiwan)
 Osborne (Microsoft Compat.)
 PC accessorys MCST
 Primax three buttoned mouse (Microsoft/MouseSystems)
 Qtronix
 Quickshot QS-159
 Viglen mouse, 3 buttons, can't get the middle button to work in X
 Z-Nix (Microsoft Compatible)

OTHER
-----
 vt320 terminal (IRQ 10 from HP multi-function card)
 vt220 terminal on COM2
 tvi-925 terminal

INCOMPATIBILITIES
-----------------

From: [email-masked]

The ProAudio Spectrum 16 does not work properly in combination
with the Adaptec 1542B. This is due to both card's busmastering
feature. NeXTSTEP/Intel even crashes with this configuration.
-- 
Ed Carp, N7EKG			[email-masked]			510/659-9560
                            [email-masked]
If you want magic, let go of your armor.  Magic is so much stronger than
steel!        -- Richard Bach, "The Bridge Across Forever"